<!-- <div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>Approval Sales Note</span>
            </h5>
            <p-dataTable
                [value]="customUnitDocumentMessages"
            >
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="VSO Number">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.requirementNumber}} 
                    </ng-template>
                </p-column>
                <p-column header="Product">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.productName}}
                    </ng-template>
                </p-column>
                <p-column header="Content">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.content}}
                    </ng-template>
                </p-column>
                <p-column header="Date Created">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreated | date : 'yyyy-MM-dd'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.motor.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton
                        [routerLink]="['/approval-korsal/vso-draft/' + rowData.idRequirement + '/' + rowData.idMessage + '/detail-approval']"
                            icon="fa-pencil"
                            class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div> -->

<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <div style="margin-bottom:50px;">
                <h5>
                    <span>Sales Note</span>
                </h5>
            </div>
            <p-tabView>
                <p-tabPanel header="New">
                    <jhi-tab-view-sales-note
                    [idreq]="customUnitDocumentMessage.idRequirement"
                    [idMessage]="customUnitDocumentMessage.idMessage"
                    [idstatus]="10">
                    </jhi-tab-view-sales-note>
                </p-tabPanel>
                <p-tabPanel header="Pending">
                    <!-- <jhi-tab-view-pending>
                    </jhi-tab-view-pending> -->
                    <jhi-tab-view-sales-note
                    [idreq]="customUnitDocumentMessage.idRequirement"
                    [idMessage]="customUnitDocumentMessage.idMessage"
                    [idstatus]="12">
                    </jhi-tab-view-sales-note>
                </p-tabPanel>
                <p-tabPanel header="Approve">
                    <!-- <jhi-tab-view-approve>
                    </jhi-tab-view-approve> -->
                    <jhi-tab-view-sales-note
                    [idreq]="customUnitDocumentMessage.idRequirement"
                    [idMessage]="customUnitDocumentMessage.idMessage"
                    [idstatus]="11">
                    </jhi-tab-view-sales-note>
                </p-tabPanel>
                <p-tabPanel header="Not Approve">
                    <!-- <jhi-tab-view-not-approve>
                    </jhi-tab-view-not-approve> -->
                    <jhi-tab-view-sales-note
                    [idreq]="customUnitDocumentMessage.idRequirement"
                    [idMessage]="customUnitDocumentMessage.idMessage"
                    [idstatus]="62">
                    </jhi-tab-view-sales-note>
                </p-tabPanel>
                <p-tabPanel header="Not Available">
                    <!-- <jhi-tab-view-not-approve>
                    </jhi-tab-view-not-approve> -->
                    <jhi-tab-view-sales-note
                    [idreq]="customUnitDocumentMessage.idRequirement"
                    [idMessage]="customUnitDocumentMessage.idMessage"
                    [idstatus]="69">
                    </jhi-tab-view-sales-note>
                </p-tabPanel>
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>